package com.crm.web.dao.repository;

import com.crm.rely.backend.dao.repository.BaseRepository;
import com.crm.rely.backend.model.pojo.table.WebVideoTable;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface WebVideoRepository extends BaseRepository<WebVideoTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    WebVideoTable findFirstById(Long id);

    WebVideoTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<WebVideoTable> findAllByIdIn(List<Long> ids);

    List<WebVideoTable> getAllByIdNotIn(List<Long> ids);
}
